CRMchat APIBeta
Telegram APIChannels

channels.deleteMessages

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/channels.deleteMessages

Delete messages in a channel/supergroup

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Delete messages in a channel/supergroup

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/channels.deleteMessages" \  -H "Content-Type: application/json" \  -d '{    "params": {      "channel": {        "_": "inputChannelEmpty"      },      "id": [        0      ]    }  }'
{  "result": {    "_": "messages.affectedMessages",    "pts": 0,    "ptsCount": 0  }}